Aerovy Platform logo

Get a thing's binned timeseries

GEThttps://spectra.api.aerovy.com/v2/things/{thingId}/timeseries

Returns the binned time-series for a thing over a time range. Requires an API key with the read action scoped to the thing.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

thingIdstringrequired

The thing id.

Query Parameters

startTimestring<date-time>

Inclusive start of the window (UTC).

endTimestring<date-time>

Exclusive end of the window (UTC).

binUnitstringdefault: h

Bin unit (e.g. s, m, h, d). Defaults to h.

Default: "h"
binValueinteger | string<int32>default: 1

Bin size in binUnit units. Defaults to 1.

Pattern: ^-?(?:0|[1-9]\d*)$
Default: 1
selectedFieldsarray<string>

Optional metric ids to restrict the result to.

Response

application/json

The binned points.